# libpysal.cg.Ray

class libpysal.cg.Ray(origin, second_p)

  Geometric representation of ray objects.

  Parameters:
    origin `libpysal.cg.Point`

      The point where the ray originates.

    second_p

      The second point specifying the ray (not `origin`.)

  Attributes:
    o `libpysal.cg.Point`

      The origin (point where ray originates). See `origin`.

    p `libpysal.cg.Point`

      The second point on the ray (not the point where the ray originates). See `second_p`.

  Examples

      >>> l = Ray(Point((0, 0)), Point((1, 0)))
      >>> str(l.o)
      '(0.0, 0.0)'

      >>> str(l.p)
      '(1.0, 0.0)'

  __init__(origin, second_p)

  Methods

  `__init__`(origin, second_p) |